%define ver_major 2.12
%def_disable static

Name: ORBit2
Version: %ver_major.2
Release: alt1

Summary: A high-performance CORBA Object Request Broker
Group: System/Libraries
License: LGPL/GPL
Url: http://orbit-resource.sf.net
Packager: Yuri N. Sedunov <aris@altlinux.ru>

Source: ftp://ftp.gnome.org/pub/gnome/sources/%name/%ver_major/%name-%version.tar.bz2
Patch: %name-2.7.3-alt-test_makefile.patch
Patch1: %name-2.7.1-alt-shared_name-server.patch

%define libIDL_ver 0.8.5
%define glib_ver 2.6.3

Requires: lib%name = %version-%release

BuildPreReq: libIDL-devel >= %libIDL_ver
BuildPreReq: glib2-devel >= %glib_ver

# Automatically added by buildreq on Wed Apr 21 2004
BuildRequires: docbook-dtds docbook-style-xsl gcc-c++ gcc-g77 glib2-devel gtk-doc indent libIDL-devel libpopt-devel libssl-devel libstdc++-devel pkgconfig xml-common xsltproc

%description
ORBit is a high-performance CORBA (Common Object Request Broker
Architecture) ORB (object request broker). It allows programs to send
requests and receive replies from other programs, regardless of the
locations of the two programs. CORBA is an architecture that enables
communication between program objects, regardless of the programming
language they're written in or the operating system they run on.

You will need to install this package and ORBit-devel if you want to
write programs that use CORBA technology.

%package -n lib%name
Summary: Shared libraries, header files and utilities for ORBit
Group: System/Libraries
Requires: glib2 >= %glib_ver

%description -n lib%name
ORBit is a high-performance CORBA (Common Object Request Broker
Architecture) ORB (object request broker). It allows programs to send
requests and receive replies from other programs, regardless of the
locations of the two programs. CORBA is an architecture that enables
communication between program objects, regardless of the programming
language they're written in or the operating system they run on.

This package contains the shared libraries required for ORBit
and components using it to function.

%package devel
Summary: Development libraries, header files and utilities for ORBit
Group: Development/GNOME and GTK+
Requires: lib%name = %version-%release
Requires: glib2-devel >= %glib_ver
Requires: indent
Requires: libIDL-devel >= %libIDL_ver

%description devel
ORBit is a high-performance CORBA (Common Object Request Broker
Architecture) ORB (object request broker) with support for the C
language.

This package contains the header files, libraries and utilities
necessary to write programs that use CORBA technology. If you want to
write such programs, you'll also need to install the ORBit2 package.

%package devel-doc
Summary: Development documentation for ORBit
Group: Development/C
Conflicts: %name < %version-%release

%description devel-doc
ORBit is a high-performance CORBA (Common Object Request Broker
Architecture) ORB (object request broker) with support for the C
language.

This package contains development documentation for ORBit.

%package devel-static
Summary: Static libraries for ORBit2
Group: Development/GNOME and GTK+
Requires: %name-devel = %version-%release

%description devel-static
ORBit is a high-performance CORBA (Common Object Request Broker
Architecture) ORB (object request broker) with support for the C
language.

This package contains static versions of libraries from ORBit2 package.

%define _gtk_docdir %_datadir/gtk-doc/html

%prep
%setup -q
%patch -p1
%patch1 -p1
%__subst 's,PKG_CONFIG_MIN_VERSION,\L&,g' configure.in

%build
gtkdocize --copy
autoreconf -ifsv

%configure \
	%{subst_enable static} \
	--enable-gtk-doc \

# SMP-incompatible build
%make
#%make check

%install
%makeinstall

# remove non-packaged files
%__rm -f %buildroot%_libdir/*/*.la

%__bzip2 -9fk ChangeLog

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files
%_bindir/typelib-dump
%_bindir/linc-cleanup-sockets
%dir %_libdir/*
%_libdir/*/*.so
%_datadir/idl/*
%doc AUTHORS NEWS README

%files -n lib%name
%_libdir/*.so.*

%files devel
%_bindir/orbit2-config
%_bindir/orbit-idl-2
%_bindir/ior-decode-2
%_libdir/*.so
%_libdir/pkgconfig/*
%_includedir/*
%_datadir/aclocal/*
%doc ChangeLog* HACKING MAINTAINERS TODO

%files devel-doc
%_gtk_docdir/*

%if_enabled static
%files devel-static
%_libdir/*.a
%_libdir/*/*.a
%endif

%changelog
* Mon Apr 11 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.12.2-alt1
- 2.12.2

* Sat Feb 05 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.12.1-alt1
- 2.12.1
- documentation moved to devel-doc subpackage.

* Tue Sep 14 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.12.0-alt1
- 2.12.0

* Mon Sep 06 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.11.2-alt1
- 2.11.2

* Thu Aug 26 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.10.4-alt1
- 2.10.4

* Tue Jun 29 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.10.3-alt1
- 2.10.3

* Sat May 08 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.10.2-alt1
- 2.10.2

* Wed Apr 21 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.10.1-alt1
- 2.10.1

* Sat Mar 06 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.10.0-alt1
- 2.10.0

* Tue Feb 17 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.9.8-alt1
- 2.9.8

* Wed Feb 04 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.9.7-alt1
- 2.9.7

* Fri Jan 16 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.9.6-alt1
- 2.9.6

* Tue Jan 13 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.9.3-alt1
- 2.9.3

* Mon Dec 08 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.8.3-alt1
- 2.8.3

* Sun Nov 30 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.8.2-alt2
- do not package .la files.
- devel-static subpackage now is optional.

* Sun Oct 12 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.8.2-alt1
- 2.8.2

* Tue Sep 09 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.8.1-alt1
- 2.8.1

* Wed Aug 27 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.8.0-alt1
- 2.8.0

* Tue Aug 19 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.7.6-alt1
- 2.7.6

* Tue Jul 15 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.7.3-alt1
- 2.7.3

* Tue Jun 10 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.7.2-alt1
- 2.7.2

* Wed May 07 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.7.1-alt2
- make shared libname-server-2

* Sat May 03 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.7.1-alt1
- 2.7.1

* Sat Mar 29 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.7.0-alt1
- 2.7.0

* Sat Mar 15 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.6.1-alt1
- 2.6.1
- move %_bindir/orbit-idl-2 to devel subpackage (close #2156)

* Tue Jan 14 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.6.0-alt1
- 2.6.0

* Mon Dec 30 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.5.1-alt1
- 2.5.1

* Sat Oct 19 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.5.0-alt1
- 2.5.0

* Sun Sep 15 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.4.3-alt1
- 2.4.3
- Updated Buldrequires

* Wed May 29 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.4.0-alt1
- 2.4.0

* Wed May 20 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.3.110-alt1
- 2.3.110
- Adopted for Sisyphus.
- lib%name package.
- %name-2.3.109-ld.patch
- %name-am15.patch (PLD Team)

* Thu May 02 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Thu May  2 2002 Havoc Pennington <hp@redhat.com>
- 2.3.108

* Thu Apr  4 2002 Jeremy Katz <katzj@redhat.com>
- 2.3.107

* Thu Feb 14 2002 Havoc Pennington <hp@redhat.com>
- 2.3.105

* Wed Jan 30 2002 Owen Taylor <otaylor@redhat.com>
- Version 2.3.103
- Rebuild for dependencies

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jan  2 2002 Havoc Pennington <hp@redhat.com>
- build system somehow built against libglib-1.3.so.11
  even though pkg-config found 1.3.12? wtf?
  trying again

* Wed Jan  2 2002 Havoc Pennington <hp@redhat.com>
- 2.3.100.90 snap

* Mon Nov 26 2001 Havoc Pennington <hp@redhat.com>
- 2.3.99

* Sun Nov 25 2001 Havoc Pennington <hp@redhat.com>
- new snap 2.3.97.90, rebuild for glib 1.3.11

* Fri Oct 26 2001 Havoc Pennington <hp@redhat.com>
- new snap, glib 1.3.10 rebuild

* Tue Oct  9 2001 Havoc Pennington <hp@redhat.com>
- check rebuild against new linc with headers moved
- remove epoch, that was a screwup

* Thu Oct  4 2001 Havoc Pennington <hp@redhat.com>
- cvs snap
- require specific glib2

* Thu Sep 27 2001 Havoc Pennington <hp@redhat.com>
- 2.3.95 tarball
- depend on new standalone libIDL, remove all libIDL stuff from file list

* Fri Sep 21 2001 Havoc Pennington <hp@redhat.com>
- require specific linc version, unrequire specific glib version since
  we get that via linc

* Mon Sep 17 2001 Havoc Pennington <hp@redhat.com>
- newer orbit2 from CVS

* Thu Sep 13 2001 Havoc Pennington <hp@redhat.com>
- conflict with old orbit with headers not moved

* Wed Sep 12 2001 Havoc Pennington <hp@redhat.com>
- renaming more things
- remove smp flags, doesn't work atm
- fix .pc file, trying to get bonobo-activation to build

* Tue Sep 11 2001 Havoc Pennington <hp@redhat.com>
- kill all file conflicts with ORBit1

* Mon Sep 10 2001 Havoc Pennington <hp@redhat.com>
- convert to ORBit2 spec file (from ORBit original)
